Fetch the hierarchy for the tenant (nested structure format for visualization)
Terminology for this endpoint: Hierarchy = Retail Operating Model Relationships between sites (parent/child), Node = A site that is a parent/has children Permission Level: Read
GET /users/site/hierarchy/{tenantId}
Operation id: SiteService_GetHierarchy
Tags: SiteService
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
tenantId | string | Yes | TenantId of the site. Required: false (False as this can be inferred from the token) |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
fieldMask | string | No |
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
hierarchyNode | array | No |
{
"type": "object",
"properties": {
"hierarchyNode": {
"type": "array",
"items": {
"type": "object",
"properties": {
"tenant": {
"type": "string"
},
"name": {
"type": "string"
},
"displayName": {
"type": "string"
},
"siteType": {
"type": "string"
},
"siteTier": {
"type": "string"
},
"children": {
"type": "array",
"items": {
"type": "object"
}
},
"isHierarchyNode": {
"type": "boolean",
"description": "True if is a Retail Operating Model \"Hierarchy Node\", false if it is a Retail Operating Model \"Site\".\nDefaults to a Retail Operating Model \"Site\" if not included."
},
"siteChildrenCount": {
"type": "integer",
"format": "int32"
},
"description": {
"type": "string"
},
"attributes": {
"type": "array",
"items": {
"type": "object"
}
},
"enabledScopes": {
"type": "object"
},
"creationTime": {
"type": "string",
"format": "date-time"
},
"siteTemplateFriendlyName": {
"type": "string"
}
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}